import { $postParam, $post } from "@/plugins/axios";

export const semesterQuery = datas => {
  return $postParam("/api/exam_semester/list", datas);
};
export const examQuery = datas => {
  return $postParam("/api/exam_type/list", datas);
};

// setting --------------------------------->
// time-task
export const timeTaskList = datas => {
  return $postParam("/api/exam_schedule_task/page", datas);
};
export const updateTimeTask = datas => {
  return $post("/api/exam_schedule_task/save", datas);
};

// business-data
export const businessDataList = datas => {
  return $postParam("/api/exam_sync_total/page", datas);
};
export const manualSync = () => {
  return $postParam("/api/exam_sync_total/manual_sync", {});
};
export const downloadBusinessData = (id, writeLog) => {
  return $postParam(
    "/api/exam_sync_total/download",
    { id, writeLog },
    {
      responseType: "blob"
    }
  );
};
export const useSceneList = datas => {
  return $postParam("/api/exam_download_record/list_use_scene", datas);
};
// download-manage
export const downloadList = datas => {
  return $postParam("/api/exam_download_record/page", datas);
};
export const signPurpose = datas => {
  return $postParam("/api/exam_download_record/used", datas);
};

// common
export const uploadFile = datas => {
  return $post("/api/admin/common/file/upload", datas);
};
export const getCode = type => {
  return $postParam("/api/admin/common/get_code", { type });
};
